DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Attributes | List of all members
JPEGFileMapEntry Struct Reference

Struct that represents a marker in a JPEG file, i.e. More...

## Public Attributes
offile_off_t | bytePos
| The byte position of the marker.
E_JPGMARKER | marker
| The marker byte itself.

## Detailed Description

Struct that represents a marker in a JPEG file, i.e.

it consists of the byte position of the marker and the marker code itself

## Member Data Documentation

## ◆ bytePos

offile_off_t JPEGFileMapEntry::bytePos

The byte position of the marker.

## ◆ marker

E_JPGMARKER JPEGFileMapEntry::marker

The marker byte itself.

The documentation for this struct was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/libi2d/i2djpgs.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2